Skip to main content
GET
/
v1
/
music
/
{music-id}
Get detailed music information by ID
curl --request GET \
  --url https://api.freepik.com/v1/music/{music-id} \
  --header 'x-freepik-api-key: <api-key>'
{
  "favorites": 350,
  "file_url": "file_url",
  "cover_url": "cover_url",
  "is_active": true,
  "artist": {
    "cover_url": "cover_url",
    "name": "John Doe",
    "bio": "bio",
    "id": 1,
    "track_count": 42
  },
  "moods": [
    {
      "cover_url": "cover_url",
      "is_active": true,
      "name": "Happy",
      "id": 1,
      "order": 1
    },
    {
      "cover_url": "cover_url",
      "is_active": true,
      "name": "Happy",
      "id": 1,
      "order": 1
    }
  ],
  "created_at": "2000-01-23T04:56:07.000Z",
  "in_playlists": 15,
  "title": "Summer Vibes",
  "seconds": 225,
  "is_premium": true,
  "downloads": 1200,
  "genres": [
    {
      "cover_url": "cover_url",
      "is_active": true,
      "name": "Electronic",
      "description": "description",
      "id": 1,
      "order": 1
    },
    {
      "cover_url": "cover_url",
      "is_active": true,
      "name": "Electronic",
      "description": "description",
      "id": 1,
      "order": 1
    }
  ],
  "preview_url": "preview_url",
  "popularity": 85,
  "download_url": "download_url",
  "id": 1,
  "time": "3:45"
}
Retrieve full details for a music item including artist biography, genre and mood metadata, popularity score, and download statistics. See the Music API overview for authentication and usage guidance.

Authorizations

x-freepik-api-key
string
header
required

Your Freepik API key. Required for authentication. Learn how to obtain an API key

Path Parameters

music-id
integer
required

Unique numeric identifier of the music item

Response

OK

id
integer
required

Unique identifier of the music item

Example:

1

title
string
required

Music title

Example:

"Summer Vibes"

artist
object
Example:
{
"cover_url": "cover_url",
"name": "John Doe",
"bio": "bio",
"id": 1,
"track_count": 42
}
genres
object[]
moods
object[]
cover_url
string | null

URL to the music cover image

file_url
string | null

Direct S3/CDN URL to the audio file

preview_url
string | null

Preview URL

download_url
string | null

URL to download the music

seconds
integer

Music duration in seconds

Example:

225

time
string

Music duration formatted as minutes and seconds

Example:

"3:45"

popularity
integer

Popularity score

Example:

85

is_premium
boolean

Whether the music is premium

is_active
boolean

Whether the music is active

created_at
string<date-time>

Music creation timestamp

downloads
integer

Total number of downloads

Example:

1200

favorites
integer

Total number of favorites

Example:

350

in_playlists
integer

Number of playlists containing this music

Example:

15